## org.apache.myfaces.custom.popup
Class HtmlPopup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.popup.HtmlPopup

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlPopup
extends javax.faces.component.UIComponentBase

Version:
  $Revision: 167312 $ $Date: 2004-11-23 18:24:04 -0500 (Tue, 23 Nov 2004) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlPopup()`

Method Summary
`java.lang.Boolean` `getClosePopupOnExitingElement()`
`java.lang.Boolean` `getClosePopupOnExitingPopup()`
`java.lang.Integer` `getDisplayAtDistanceX()`
`java.lang.Integer` `getDisplayAtDistanceY()`
`java.lang.String` `getFamily()`
`javax.faces.component.UIComponent` `getPopup()`
`boolean` `getRendersChildren()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setClosePopupOnExitingElement(java.lang.Boolean closePopupOnExitingElement)`
`void` `setClosePopupOnExitingPopup(java.lang.Boolean closePopupOnExitingPopup)`
`void` `setDisplayAtDistanceX(java.lang.Integer displayAtDistanceX)`
`void` `setDisplayAtDistanceY(java.lang.Integer displayAtDistanceY)`
`void` `setPopup(javax.faces.component.UIComponent popup)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPopup

    public HtmlPopup()

Method Detail

### setPopup

    public void setPopup(javax.faces.component.UIComponent popup)

### getPopup

    public javax.faces.component.UIComponent getPopup()

### getRendersChildren

    public boolean getRendersChildren()

### getFamily

    public java.lang.String getFamily()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setDisplayAtDistanceX

    public void setDisplayAtDistanceX(java.lang.Integer displayAtDistanceX)

### getDisplayAtDistanceX

    public java.lang.Integer getDisplayAtDistanceX()

### setDisplayAtDistanceY

    public void setDisplayAtDistanceY(java.lang.Integer displayAtDistanceY)

### getDisplayAtDistanceY

    public java.lang.Integer getDisplayAtDistanceY()

### setClosePopupOnExitingElement

    public void setClosePopupOnExitingElement(java.lang.Boolean closePopupOnExitingElement)

### getClosePopupOnExitingElement

    public java.lang.Boolean getClosePopupOnExitingElement()

### setClosePopupOnExitingPopup

    public void setClosePopupOnExitingPopup(java.lang.Boolean closePopupOnExitingPopup)

### getClosePopupOnExitingPopup

    public java.lang.Boolean getClosePopupOnExitingPopup()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)